Bug 1232221 - Review Request: golang-github-go-tomb-tomb - Helps with clean goroutine termination in the Go language
Summary: Review Request: golang-github-go-tomb-tomb - Helps with clean goroutine termi...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-16 10:15 UTC by Marek Skalický
Modified: 2015-07-08 17:04 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-30 00:08:36 UTC
jchaloup: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marek Skalický 2015-06-16 10:15:17 UTC
Spec URL: https://mskalick.fedorapeople.org/reviews/golang-github-go-tomb-tomb/golang-github-go-tomb-tomb.spec

SRPM URL: https://mskalick.fedorapeople.org/reviews/golang-github-go-tomb-tomb/golang-github-go-tomb-tomb-0-0.1.git14b3d72.fc20.src.rpm

Description: Helps with clean goroutine termination in the Go language

Fedora Account System Username: mskalick

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=10069037

$ rpmlint /home/mskalick/rpmbuild/SRPMS/golang-github-go-tomb-tomb-0-0.1.git14b3d72.fc20.src.rpm /home/mskalick/rpmbuild/RPMS/noarch/golang-github-go-tomb-tomb-devel-0-0.1.git14b3d72.fc20.noarch.rpm
golang-github-go-tomb-tomb.src: W: spelling-error Summary(en_US) goroutine -> go routine, go-routine, routine
golang-github-go-tomb-tomb.src: W: spelling-error %description -l en_US goroutine -> go routine, go-routine, routine
golang-github-go-tomb-tomb-devel.noarch: W: spelling-error Summary(en_US) goroutine -> go routine, go-routine, routine
golang-github-go-tomb-tomb-devel.noarch: W: spelling-error %description -l en_US goroutine -> go routine, go-routine, routine
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 1 Jan Chaloupka 2015-06-16 12:09:19 UTC
Summary:
- all Provides and BRs correct
- license correct and valid
- only source codes provided (devel subpackage)
- devel subpackage provides both variants of import path

Specfile conforms to current packaging draft [1].

[1] https://fedoraproject.org/wiki/PackagingDrafts/Go

Comment 2 Jan Chaloupka 2015-06-16 12:17:13 UTC
New Package SCM Request
=======================
Package Name: golang-github-go-tomb-tomb
Short Description: Helps with clean goroutine termination in the Go language
Upstream URL: https://github.com/go-tomb/tomb
Owners: jchaloup mskalick
Branches: f22 f21 f20 el6
InitialCC: golang-sig

Comment 3 Gwyn Ciesla 2015-06-16 13:59:39 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-06-17 13:19:09 UTC
golang-github-go-tomb-tomb-0-0.1.git14b3d72.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-github-go-tomb-tomb-0-0.1.git14b3d72.fc22

Comment 5 Fedora Update System 2015-06-17 13:19:30 UTC
golang-github-go-tomb-tomb-0-0.1.git14b3d72.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-go-tomb-tomb-0-0.1.git14b3d72.fc21

Comment 6 Fedora Update System 2015-06-17 13:19:59 UTC
golang-github-go-tomb-tomb-0-0.1.git14b3d72.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-go-tomb-tomb-0-0.1.git14b3d72.el6

Comment 7 Fedora Update System 2015-06-20 21:12:50 UTC
golang-github-go-tomb-tomb-0-0.1.git14b3d72.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2015-06-30 00:08:36 UTC
golang-github-go-tomb-tomb-0-0.1.git14b3d72.fc21 has been pushed to the Fedora 21 stable repository.

Comment 9 Fedora Update System 2015-06-30 00:09:01 UTC
golang-github-go-tomb-tomb-0-0.1.git14b3d72.fc22 has been pushed to the Fedora 22 stable repository.

Comment 10 Fedora Update System 2015-07-08 17:04:43 UTC
golang-github-go-tomb-tomb-0-0.1.git14b3d72.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.